if(NOT DEFINED ENV{CFLAGS})
  if(CMAKE_C_COMPILER_ID MATCHES Clang)
    set(CMAKE_C_FLAGS         "${CMAKE_C_FLAGS} -DRESTRICT=restrict -DFUNDERSCORE=1 -Qunused-arguments -fcolor-diagnostics")
    set(CMAKE_C_FLAGS_DEBUG   "-O0 -DDEBUG -g3 -Wall -Wextra -Winit-self -Wuninitialized -Wmissing-declarations -Wwrite-strings -Wno-sign-compare")
    set(CMAKE_C_FLAGS_RELEASE "-O3 -DNDEBUG")
    set(CMAKE_C_FLAGS_RELAPPLESILICON "-O1 -DNDEBUG" CACHE STRING "For apple silicon ARM processors." FORCE)
  endif()
endif()
